Bug 1033431 - (CVE-2013-4558) CVE-2013-4558 subversion: mod_dav_svn assertion when handling certain requests with autoversioning enabled
CVE-2013-4558 subversion: mod_dav_svn assertion when handling certain request...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131125,repor...
: Security
Depends On: 1033452 1034377
Blocks: 1033435
  Show dependency treegraph
 
Reported: 2013-11-22 00:05 EST by Murray McAllister
Modified: 2015-10-15 14:06 EDT (History)
6 users (show)

See Also:
Fixed In Version: subversion 1.7.14, subversion 1.8.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 05:20:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-11-22 00:05:56 EST
A flaw was found in the way mod_dav_svn handled certain requests when SVNAutoversioning (in "/etc/httpd/conf.d/subversion.conf", for example) was enabled. If an attacker with commit access to a repository sent a request containing a crafted URL, it would cause the httpd process serving the request to crash.

This issue affected Subversion versions 1.7.11 to 1.7.13, and 1.8.1 to 1.8.4. It has been corrected in versions 1.7.14 and 1.8.5.

This issue does not affect the versions of Subversion in Red Hat Enterprise Linux 5 and 6.

Acknowledgements:

Red Hat would like to thank the Apache Subversion project for reporting this issue. Upstream acknowledges Philip Martin as the original reporter.
Comment 4 Vincent Danen 2013-11-25 12:18:46 EST
External References:

http://subversion.apache.org/security/CVE-2013-4558-advisory.txt
Comment 5 Vincent Danen 2013-11-25 12:22:05 EST
Created subversion tracking bugs for this issue:

Affects: fedora-all [bug 1034377]
Comment 6 Murray McAllister 2013-11-25 23:59:59 EST
Statement:

Not vulnerable. This issue did not affect the versions of Subversion in Red Hat Enterprise Linux 5 and 6.
Comment 7 Fedora Update System 2013-12-10 21:00:00 EST
subversion-1.7.14-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-10 21:00:28 EST
subversion-1.7.14-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-31 14:02:44 EST
subversion-1.8.5-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.